<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_00228d8faefcea40" . "b88e38b6f0ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29u" . "dHJvbA=="), "_c244a470df52d1d5a7085138ec94" . "e393" => base64_decode("dW5zZXJpYWxpemU" . "="), "_347a4304a606a" . "9c406a8fbc8f72" . "530a1" => base64_decode("TWV0aG9kIA=" . "="), "_96be32a6f44bf54e63" . "5e1736acf7a96c" => base64_decode("c2VyaW" . "FsaXpl"), "_c9ae15d6" . "9685c02ee" . "abd974f86" . "df51ba" => base64_decode("OjpEcmF3KCkgbX" . "VzdCBiZSByZWRl" . "ZmluZWQ="), "_5e9a99dc0dd" . "49b907abf1b3" . "5e96965f8" => base64_decode("dHJpbQ" . "=="), "_ecfcdf011b493a3e718c1f" . "e7034e0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtdXN0IGJlIHJlZGVmaW5" . "lZA=="), "_4d707fab93bebb00bbe69e81596" . "97c90" => base64_decode(""), "_fc9d7314a9d99" . "58d8fa0a403ba8" . "ff197" => base64_decode("Z2V0X2NsY" . "XNz"));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_96be32a6f44bf54e635e1736" . "acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5e9a99dc0dd49b907abf1b3" . "5e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_00228d8faefcea4" . "0b88e38b6f0ef8fb" . "8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c244a470df52d1d5a7085138ec94e39" . "3"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_347a4304a606a9c" . "406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fc9d7314a9d9958d8fa" . "0a403ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ecfcdf011b493a3e718c1fe7034" . "e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_347a4304a606a9c406a8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fc9d7314a9d9958d8fa" . "0a403ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c9ae15d" . "69685c02" . "eeabd974" . "f86df51b" . "a"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}